PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0-rc2 »
- SDSS Utilities (`pydl.pydlutils`) »
- is_in_cap

# is_in_cap

pydl.pydlutils.mangle.is_in_cap(x, cm, points)

  Are the points in a (single) given cap?

  Parameters
    x `ndarray` or `recarray`

      `X` value of the cap (3-vector).

    cm `ndarray` or `recarray`

      `CM` value of the cap.

    points `ndarray` or `recarray`

      If `points` is a 3-vector, or set of 3-vectors, then assume the point is a Cartesian unit vector. If `point` is a 2-vector or set of 2-vectors, assume the point is RA, Dec.

  Returns
    `ndarray`

      A boolean vector giving the result for each point.